ce8126ec00
- tests/t3000: Check for hfs and vfat support separately (bcl) - tests: Reduce memory usage for tests using scsi_debug module (bcl) - spec: Install to /usr/sbin and /usr/lib64 (bcl)
41 lines
1.3 KiB
Diff
41 lines
1.3 KiB
Diff
From f1c0f474670612b79a30d70863b4351c5883b5f6 Mon Sep 17 00:00:00 2001
|
|
From: "Brian C. Lane" <bcl@redhat.com>
|
|
Date: Mon, 12 Jul 2021 15:27:30 -0700
|
|
Subject: [PATCH 17/24] tests/t1101: Change dev_size_mb to 10
|
|
|
|
This is backed by memory, so using more than is needed limits the size
|
|
of the system it can run on.
|
|
---
|
|
tests/t1101-busy-partition.sh | 6 +++---
|
|
1 file changed, 3 insertions(+), 3 deletions(-)
|
|
|
|
diff --git a/tests/t1101-busy-partition.sh b/tests/t1101-busy-partition.sh
|
|
index e35e6f0..5e37814 100755
|
|
--- a/tests/t1101-busy-partition.sh
|
|
+++ b/tests/t1101-busy-partition.sh
|
|
@@ -24,7 +24,7 @@ require_root_
|
|
require_scsi_debug_module_
|
|
|
|
# create memory-backed device
|
|
-scsi_debug_setup_ dev_size_mb=80 > dev-name ||
|
|
+scsi_debug_setup_ dev_size_mb=10 > dev-name ||
|
|
skip_ 'failed to create scsi_debug device'
|
|
dev=$(cat dev-name)
|
|
|
|
@@ -37,10 +37,10 @@ parted -s "$dev" mklabel msdos > out 2>&1 || fail=1
|
|
# expect no output
|
|
compare /dev/null out || fail=1
|
|
|
|
-parted -s "$dev" mkpart primary fat32 1 40 > out 2>&1 || fail=1
|
|
+parted -s "$dev" mkpart primary fat32 1 4 > out 2>&1 || fail=1
|
|
compare /dev/null out || fail=1
|
|
|
|
-parted -s "$dev" mkpart primary fat32 40 80 > out 2>&1 || fail=1
|
|
+parted -s "$dev" mkpart primary fat32 4 10 > out 2>&1 || fail=1
|
|
compare /dev/null out || fail=1
|
|
|
|
# wait for new partition device to appear
|
|
--
|
|
2.31.1
|
|
|